Skip to navigation

Get PredictionBatch by ID

Beta
Get a single PredictionBatch by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

prediction_batch_idstringRequired
ID of the PredictionBatch.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
createdAtstringOptional
creatorobjectOptional
folderobjectOptional
idstringOptional
jobConfigslist of maps from strings to anyOptional
modelstringOptional
modelImplementationVersionstringOptional
modelVersionstring or nullOptional
modifiedAtstringOptional
predictionJobsstringOptionalformat: "uri"
statusenumOptional

Errors

400
Prediction Batch Get Request Bad Request Error
403
Prediction Batch Get Request Forbidden Error
404
Prediction Batch Get Request Not Found Error
429
Prediction Batch Get Request Too Many Requests Error
500
Prediction Batch Get Request Internal Server Error